runner
Open an operation to see its authentication, its parameters and the fields of its request and response.
2 operations
POST/v1/runner/claim
Self-hosted runner polling: claims the next queued job of its workspace.
/v1/runner/claimAuthentication: Runner token
Request body
| Name | Type | Description |
|---|---|---|
runner_name | string | |
agents | array of enum | |
wait_seconds | integer |
Response 200
| Name | Type | Description |
|---|---|---|
jobrequired | object | |
job.job_idrequired | string | |
job.kindrequired | enum | Values triage | fix | release | pr_analysis | demo_case |
job.job_tokenrequired | string | |
job.expires_atrequired | string (date-time) | |
job.mcp_tokenrequired | string | |
poll_after_secondsrequired | integer |
POST/v1/runner/oidc
Exchanges a GitHub Actions OIDC token for a job token and the agent MCP token.
/v1/runner/oidcAuthentication: None
Request body
| Name | Type | Description |
|---|---|---|
tokenrequired | string | |
job_id | string | |
scope | enum | Values job | sourcemaps |
Response 200
| Name | Type | Description |
|---|---|---|
job_tokenrequired | string | |
expires_atrequired | string (date-time) | |
scoperequired | enum | Values job | sourcemaps |
job_idrequired | string | |
mcp_tokenrequired | string |